Kirjoittaja Aihe: KDE dialogit tietyissä GTK-ohjelmissa [kysytty]  (Luettu 3958 kertaa)

Masse

  • Käyttäjä
  • Viestejä: 38
    • Profiili
En ole varmaan ainoa joka ei pidä gtk:n tiedostohallinnasta, mutta joutuu joissain sovelluksissa sitä käyttämään parempien vaihtoehtojen puuttuessa, esimerkkinä firefox, gimp ja abiword.

Osoitteessa http://www.kde-apps.org/content/show.php?content=36077 on KGtk niminen wrapperi, erikseen käynnistettävä ohjelma joka korvaa tiettyjen gtk-ohjelmistojen dialogit kde:n vastaavilla. README:ssa korostettiin termiä "*some*".



1. Lataa yllämainitusta osoitteesta lähdekoodi (source)
2. Ota selville mihin ja millä nimellä tiedosto on ladattu ja kirjoita seuraavat komennot:
Lainaus
mkdir kgtk
tar xjvf kohde/tiedostoon/KGtk-<versionumero>.tar.bz2 -C kgtk/
cd kgtk/KGtk-<versionumero>/
mkdir build; cd build
Selväkielenä ylläoleva tekee:
1. Luo kgtk hakemiston kotihakemistoosi
2. Purkaa paketin kgtk hakemistoon säilyttäen alkuperäisen paketin hakemistorakenteen. Komennot 1 ja 2 voi jättää välistä sillä paketilla on oma hakemistorakenteensa, mutta on hyvä totutella luomaan jokaiselle paketille oman hakemistonsa siltä varalta, että paketissa ei olekaan kunnollista hakemistorakennetta.
3. Siirtyy paketin juureen
4. Lähdekoodin kääntämistä varten tarvitsee/kannattaa luoda build hakemisto.

Paketin kääntämistä varten tarvitsee sinun tietää mikä työpöytäympäristö on käytössä, kde4 vai kde3. Kde3:n wrapperi kääntyy automaattisesti, mutta kde4/qt4 vaatii omat kytkimensä. Huomatkaa myös, että voit kääntää wrapperin vain yhdelle ympäristölle kerrallaan!

Kytkimet: -DKGTK_KDE3=true tai -DKGTK_KDE4=true -DKGTK_QT4=true
Konfiguroinnista pari kaksi esimerkkiä:
'cmake .. -DKGTK_KDE3=true -DCMAKE_INSTALL_PREFIX=/usr' tai
'cmake .. --DKGTK_KDE4=true -DCMAKE_INSTALL_PREFIX=/usr'

Loput ohjeet:
Lainaus
cmake .. -DKGTK_KDE3=true -DCMAKE_INSTALL_PREFIX=/usr
make
sudo make install
Muokatkaa cmake komento omaksenne, mutta muuten tehkää ohjeen mukaan :)
« Viimeksi muokattu: 16.08.08 - klo:16.18 kirjoittanut Kari Argillander »

UbunTux

  • Käyttäjä
  • Viestejä: 2046
  • KubunTux
    • Profiili
Vs: KDE dialogit tietyissä GTK-ohjelmissa
« Vastaus #1 : 15.08.08 - klo:21.49 »
Koodia: [Valitse]
Jostain kumman syystä alkuun ilmestyy [code]. Älkää huomioiko Lisäisin sen verran varoitukseksi, että checkinstallin käyttö tässä tapauksessa ilman lisävipuja on "tuhoisaa".
Kokemusta on  ;)

Niin ja miten käytetään/aktivoidaan:

GTK2-ohjelmille:
Koodia: [Valitse]
sudo ln -s /usr/bin/kgtk2-wrapper /usr/local/bin/ohjelma
eli käytännössä vaikka GIMPille:
sudo ln -s /usr/bin/kgtk2-wrapper /usr/local/bin/gimp[/code]

QT3:

Koodia: [Valitse]
sudo ln -s /usr/bin/kqt3-wrapper /usr/local/bin/ohjelma
QT4:
Koodia: [Valitse]
sudo ln -s /usr/bin/kqt4-wrapper /usr/local/bin/ohjelma
Huomioi, että ohjelma ei saa sijaita /usr/local:in alla! Käytännössä katsoen /usr/local/bin ei sisällä kyseisen ohjelman suoritettavaa tiedostoa.


Tai vaihtoehtoisesti esim.

EI SUDOA!
Koodia: [Valitse]
kgtk2-wrapper gtk-ohjelma


Kaikki ohjelmat eivät tuolla toimi ja jotkin menevät solmuun.

Tämän viestin sisältöä saa käyttää  kaikkiin tarkoituksiin ilman rajoituksia.
« Viimeksi muokattu: 16.08.08 - klo:18.46 kirjoittanut UbunTux »
KDE neon
Uudempaa KDE:tä Ubuntulla

SuperOscar

  • Käyttäjä
  • Viestejä: 3884
  • Tänään täällä, huomenna poissa
    • Profiili
    • Legisign.org
Vs: KDE dialogit tietyissä GTK-ohjelmissa
« Vastaus #2 : 16.08.08 - klo:15.32 »
...ja ennen kuin mikään ylläolevasta toimii, täytyy asentaa cmake ja Gtk2-headerit:

Koodia: [Valitse]
sudo apt-get install cmake libgtk2.0-dev
 ;D
pöytäkone 1: Debian GNU/Linux 11, Fedora 37; pöytäkone 2: openSUSE Tumbleweed, CentOS Stream 9; kannettava 1: openSUSE Tumbleweed; kannettava 2: openSUSE Leap 15.4; RPi 1: Ubuntu 22.04 LTS; RPi 2: LibreELEC 10

Kari Argillander

  • Käyttäjä
  • Viestejä: 437
  • Kubuntu - Hardy
    • Profiili
Vs: KDE dialogit tietyissä GTK-ohjelmissa
« Vastaus #3 : 16.08.08 - klo:16.17 »
Voisiko ohjeen kirjoittaja/täydentäjät kirjoittaa viestin jossa vahvistavat että     

a) ohje on edelleen käyttökelpoinen Hardyssä (tuorein LTS, tuorein stable) eli uudet ominaisuudet eivät ole poistaneet tarvetta ohjeelle tai että ohjeessa käytetyt työkalut jne ovat edelleen Hardyssä käytössä
b) antavat luvan ohjeen siirtämiseen Ubuntu Suomen wikiin (http://wiki.ubuntu-fi.org). Kts. Wikin lisenssistä jne lisätietoja täältä: http://wiki.ubuntu-fi.org/#head-867666147f48c6b667ec0f6be3f5f16852046770
c) antavat luvan ohjeen siirtämiseen Linux.fi-wikiin (http://linux.fi/index.php/Etusivu). Kts. Wikin lisenssistä jne lisätietoja täältä: http://linux.fi/index.php/Linux.fi:Lisenssi

Sinun ei ole pakko antaa lupaa siirtää ohjetta molempiin wikeihin vastaat tällöin vain joka b:hen tai c:hen kyllä.
Kiitos!
Kaikkea täällä sanomaani saa käyttää public domain lisenssillä. Lainauksia ei saa käyttää ellei lainauksen lähde sitä salli. Tiedostoja ei saa käyttää ellei sitä erikseen sallita.